Skip to main content
POST
/
api
/
v1
/
recipients
/
{client_id}
/
secret
Regenerate a Data Recipient Secret
curl --request POST \
  --url https://ob.flinksapp.com/api/v1/recipients/{client_id}/secret \
  --header 'Authorization: Bearer <token>'
{
  "client_id": "dc-xxxxxxxxxxxxxxxxxxxxxxxxx",
  "client_secret": "xxxxxxxxxxxxxxxxxxxxxx"
}
Use the /api/v1/recipients/{client_id}/secret endpoint to regenerate a new client secret for a particular Data Recipient. To successfully call this endpoint, you must first call the /Token endpoint to obtain a valid access_token using the following settings:
  • grant_type: client_credentials
  • client_id: {partner client_id}
  • client_secret: {partner client_secret}
  • scope: client:admin

Authorizations

Authorization
string
header
required

Bearer token obtained from the /Token endpoint.

Path Parameters

client_id
string
required

The Data Recipient that you want to generate a secret for.

Response

Result

client_id
string
client_secret
string